/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/version.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: version.h,v 1.14 2002/04/06 16:38:54 shadowmaster Exp $
 *
 */


#ifndef __versioninclude
#define __versioninclude 1

/*
** UIRCd Protocol
*/

#define UltimateProtocol 3000

/*
** Kill links with protocol older than this - ShadowMaster
*/
#define KillProtocol 3000
#define RELEASE_STATUS	"ALPHA"

#define MAJOR_RELEASE "3"
#define MINOR_RELEASE "0"
#define REVISION "00"
#define RELEASE_NAME "Tsunami"

/*
 Deliberate empty lines
*/

#define PATCH1  	\
			\
			\
			\
			".a22"

/*
 Deliberate empty lines
*/

#define PATCH2  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH3  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH4  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH5  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH6  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH7  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH8  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH9 		\
			\
			\
			\
			""


#define BASE_VERSION "UltimateIRCd"

#define PATCHES PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9

#define PROTOCTL_PREFIX		"(aohv)*@%+"
#define PROTOCTL_CHANTYPES	"#&"
#define PROTOCTL_CHANMODES	"be,k,l,N"

void build_version (void);
void build_protoctl (void);

#endif /* __versioninclude */
